local config = require("default_config")

local awful = require("awful")
local gears = require("gears")

config.awesome.tiling.layouts = {
    awful.layout.suit.tile,
    awful.layout.suit.floating,
    awful.layout.suit.tile.left,
    awful.layout.suit.tile.bottom,
    awful.layout.suit.tile.top,
    -- awful.layout.suit.fair,
    -- awful.layout.suit.fair.horizontal,
    -- awful.layout.suit.spiral,
    -- awful.layout.suit.spiral.dwindle,
    -- awful.layout.suit.max,
    -- awful.layout.suit.max.fullscreen,
    -- awful.layout.suit.magnifier,
    -- awful.layout.suit.corner.nw,
    -- awful.layout.suit.corner.ne,
    -- awful.layout.suit.corner.sw,
    -- awful.layout.suit.corner.se,
}

config.autostart = gears.table.join(config.autostart,
    {
        "nextcloud",
        "discord-canary",
        "/usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1",
        "tabs-app",
        "/usr/lib/kdeconnectd",
        "kdeconnect-indicator",
    }
)

config.widgets.system_resources.bars.screens = { 1, 2, 3 }

config.keys.custom_keys = {
    {
        hotkey = {
            { config.keys.modkey, },
            "e"
        },
        action = function()
            awful.spawn('pcmanfm')
        end,
        identity = { description = "pcmanfm", group = "utilities" }
    },
    {
        hotkey = {
            { config.keys.modkey, },
            'Print'
        },
        action = function()
            awful.spawn('sh -c ~/scripts/flameshot_upload.sh')
        end,
        identity = { description = "Upload screeshot", group = "utilities" }
    }
};

return config
